Get conversations
- Base URL
-
https://{kibana_url}
-
GET
/api/security_ai_assistant/current_user/conversations/_find
Auth
Get a list of all conversations for the current user. This endpoint allows users to search, filter, sort, and paginate through their conversations.
-
fields
string[]
-
A list of fields to include in the response. If omitted, all fields are returned.
-
Example:
["id","title","createdAt"]
-
filter
string
-
A search query to filter the conversations. Can match against titles, messages, or other conversation attributes.
-
Example:
Security Issue
-
sort_field
enum
-
The field by which to sort the results. Valid fields are created_at, title, and updated_at.
-
Values:
created_at
title
updated_at
-
sort_order
enum
-
The order in which to sort the results. Can be either asc for ascending or desc for descending.
-
Values:
asc
desc
-
page
integer · min: 1 · default: 1
-
The page number of the results to retrieve. Default is 1.
-
per_page
integer · min: 0 · default: 20
-
The number of conversations to return per page. Default is 20.
-
is_owner
boolean · default: false
-
Whether to return conversations that the current user owns. If true, only conversations owned by the user are returned.
Successful response, returns a paginated list of conversations matching the specified criteria.
application/json
-
data
object[]
required
-
A list of conversations.
-
-
apiConfig
object
-
-
actionTypeId
string
required
-
Action type ID
-
connectorId
string
required
-
Connector ID
-
defaultSystemPromptId
string
-
Default system prompt ID
-
provider
enum
-
Provider
-
Values:
OpenAI
Azure OpenAI
Other
-
category
enum
required
-
The conversation category.
-
Values:
assistant
insights
-
createdAt
string
required
-
The time conversation was created.
-
createdBy
object
required
-
Could be any string, not necessarily a UUID.
-
-
excludeFromLastConversationStorage
boolean
-
Exclude from last conversation storage.
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters.
-
messages
object[]
-
The conversation messages.
-
-
content
string
required
-
Message content.
-
id
string · format: nonempty · min length: 1
-
A string that does not contain only whitespace characters.
-
isError
boolean
-
Is error message.
-
metadata
object
-
Message metadata
-
-
refusal
string
-
Refusal reason returned by the model when content is filtered.
-
role
enum
required
-
Message role.
-
Values:
system
user
assistant
-
timestamp
string · format: nonempty · min length: 1
required
-
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
traceData
object
-
Trace Data
-
-
traceId
string
-
Could be any string, not necessarily a UUID
-
transactionId
string
-
Could be any string, not necessarily a UUID
-
user
object
-
Could be any string, not necessarily a UUID.
-
-
namespace
string
required
-
Kibana space
-
replacements
map string to string
-
Replacements object used to anonymize/deanonymize messages
-
timestamp
string · format: nonempty · min length: 1
-
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
title
string
required
-
The conversation title.
-
updatedAt
string
-
The last time conversation was updated.
-
users
object[]
required
-
-
page
integer
required
-
The current page of the results.
-
perPage
integer
required
-
The number of results returned per page.
-
total
integer
required
-
The total number of conversations matching the filter criteria.
Thank you for your feedback.